Bug 1313242 - nothing provides python2-requests-oauthlib
nothing provides python2-requests-oauthlib
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-requests-oauthlib (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Infrastructure SIG
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1314348
  Show dependency treegraph
 
Reported: 2016-03-01 03:52 EST by Jakub Dorňák
Modified: 2016-11-30 19:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1314348 (view as bug list)
Environment:
Last Closed: 2016-06-28 13:16:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Dorňák 2016-03-01 03:52:28 EST
Description of problem:
According to the Packaging Guidelines, the subpackage containing the python2 version must provide python2-requests-oauthlib. This can be accomplished with a virtual provides or by changing the subpackage layout so that there are python2-requests-oauthlib and python3-requests-oauthlib subpackages.

> Name: python-requests-oauthlib

> %package -n python2-requests-oauthlib

> %package -n python3-requests-oauthlib

Additional info:
http://fedoraproject.org/wiki/Packaging:Python#Provides
http://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
Comment 1 Fedora Admin XMLRPC Client 2016-04-04 16:33:48 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Ralph Bean 2016-06-28 13:16:42 EDT
Should be fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.